# nxos_linkagg – Manage link aggregation groups on Cisco NXOS devices

New in version 2.5.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality.

Alternative

  nxos_lag_interfaces

## Synopsis

- This module provides declarative management of link aggregation groups on Cisco NXOS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate list |  | List of link aggregation definitions.

force
boolean

Choices:
- no ←
- yes

When true it forces link aggregation group members to match what is declared in the members param. This can be used to remove members.

group string / required |  | Channel-group number for the port-channel Link aggregation group.
members list |  | List of interfaces that will be managed in the link aggregation group.
min_links integer |  | Minimum number of ports required up before bringing up the link aggregation group.

mode
string

Choices:
- active
- on ←
- passive

Mode for the link aggregation group.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
This option is only required if you are using NX-API.
For more information please see the NXOS Platform Options guide.

A dict object containing connection details.

| auth_pass string added in 2.5.3 |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean
added in 2.5.3

Choices:
- no ←
- yes

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This is a common argument used for either cli or nxapi transports. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: "0 (use common port)" | Specifies the port to use when building the connection to the remote device. This value applies to either cli or nxapi. The port value will default to the appropriate transport common port if none is provided in the task. (cli=22, http=80, https=443).
| ssh_keyfile string |  | Specifies the SSH key to use to authenticate the connection to the remote device. This argument is only used for the cli transport. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error. NX-API can be slow to return on long-running commands (sh mac, sh bgp, etc).

transport
string / required

Choices:
- cli ←
- nxapi

Configures the transport connection to use when connecting to the remote device. The transport argument supports connectivity to the device over cli (ssh) or nxapi.

use_proxy
boolean
added in 2.5

Choices:
- no
- yes ←

If `no`, the environment variables `http_proxy` and `https_proxy` will be ignored.

use_ssl
boolean

Choices:
- no ←
- yes

Configures the transport to use SSL if set to `yes` only when the `transport=nxapi`, otherwise this value is ignored.

| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate either the CLI login or the nxapi authentication depending on which transport is used. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. If the transport argument is not nxapi, this value is ignored.

purge
boolean

Choices:
- no ←
- yes

Purge links not defined in the aggregate parameter.

state
string

Choices:
- present ←
- absent

State of the link aggregation group.

## Notes

Note

- Tested against NXOSv 7.0(3)I5(1).

- `state=absent` removes the portchannel config and interface if it already exists. If members to be removed are not explicitly passed, all existing members (if any), are removed.

- Members must be a list.

- LACP needs to be enabled first if active/passive modes are used.

- For information on using CLI and NX-API see the NXOS Platform Options guide

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Cisco devices see the Cisco integration page.

## Examples

    - name: create link aggregation group
      nxos_linkagg:
        group: 99
        state: present

    - name: delete link aggregation group
      nxos_linkagg:
        group: 99
        state: absent

    - name: set link aggregation group to members
      nxos_linkagg:
        group: 10
        min_links: 3
        mode: active
        members:
          - Ethernet1/2
          - Ethernet1/4

    - name: remove link aggregation group from Ethernet1/2
      nxos_linkagg:
        group: 10
        min_links: 3
        mode: active
        members:
          - Ethernet1/4

    - name: Create aggregate of linkagg definitions
      nxos_linkagg:
        aggregate:
          - { group: 3 }
          - { group: 100, min_links: 3 }

    - name: Remove aggregate of linkagg definitions
      nxos_linkagg:
        aggregate:
          - { group: 3 }
          - { group: 100, min_links: 3 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 30', 'lacp min-links 5', 'interface Ethernet2/1', 'channel-group 30 mode active', 'no interface port-channel 30']

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.